# Interface SmiModuleIdentity

All Superinterfaces:
  `Comparable<SmiObject>, SmiModule, SmiObject`

public interface SmiModuleIdentity extends SmiModule
The SmiModule represents a SMIv2 MODULE-IDENTITY.

Since:
  1.2 (Pro edition only)
Author:
  Frank Fock

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContactInfo()`
  Gets the contact-info clause.
  `GregorianCalendar`
  `getLastUpdated()`
  Gets the `GregorianCalendar` representation of the LAST-UPDATE clause.
  `String`
  `getLastUpdatedString()`
  Gets the LAST-UPDATED clause.
  `String`
  `getOrganization()`
  Gets the organization clause.
  `List<SmiRevision>`
  `getRevisions()`
  Gets the `SmiRevision`s of this MIB module.

  ### Methods inherited from interface Comparable

  `compareTo`

  ### Methods inherited from interface SmiModule

  `getAsn1Comments, getCompilerStrictness, getImports, getModuleName, getObjectIdentifiers, getObjectNames, getSmiModuleDefinition, getSourceFilename, getTextualConventionNames`

  ### Methods inherited from interface SmiObject

  `getChildren, getDescription, getObjectName, getOID, getParent, getReference, getSmiSyntax, getStatus, getSyntax, getType`

- ## Method Details

  - ### getOrganization

    String getOrganization()
    Gets the organization clause.
    Returns:
      an organization.

  - ### getContactInfo

    String getContactInfo()
    Gets the contact-info clause.
    Returns:
      a contact-info

  - ### getLastUpdatedString

    String getLastUpdatedString()
    Gets the LAST-UPDATED clause.
    Returns:
      a last-updated time-stamp of the extended UTC-date-and-time form `[0-9][0-9]([0-9][0-9])?((0[1-9])|(1[0-2]))((0[1-9])|([1-2][0-9])|(3[0-1]))(([0-1][0-9])|(2[0-3]))[0-5][0-9]Z`

  - ### getLastUpdated

    GregorianCalendar getLastUpdated()
    Gets the `GregorianCalendar` representation of the LAST-UPDATE clause.
    Returns:
      a `GregorianCalendar` representation of the LAST-UPDATE clause

  - ### getRevisions

    List<SmiRevision> getRevisions()
    Gets the `SmiRevision`s of this MIB module.
    Returns:
      a list of @link SmiRevision} instances.